Page MenuHomePhabricator

Clean up usages of asserting vector getters in Type
ClosedPublic

Authored by ctetreau on Apr 1 2020, 5:02 PM.

Details

Summary

Remove usages of asserting vector getters in Type in preparation for the
VectorType refactor. The existence of these functions complicates the
refactor while adding little value.

Diff Detail

Event Timeline

ctetreau created this revision.Apr 1 2020, 5:02 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 1 2020, 5:02 PM
ctetreau updated this revision to Diff 254623.Apr 2 2020, 2:34 PM

update to note that this is NFC

ctetreau updated this revision to Diff 255850.Apr 7 2020, 4:09 PM

rebase. Mention asmparser in commit message

sdesmalen accepted this revision.Apr 10 2020, 12:57 PM

Seems like a straightforward change, LGTM!

This revision is now accepted and ready to land.Apr 10 2020, 12:57 PM
This revision was automatically updated to reflect the committed changes.